﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.GRPT.000001
         ELS Ref: V35

		     IF ([grpt2] <> NULLORBLANK) AND ([grpt2]  <> ("Lodgment Performance Report", "EFT Reconciliation Report"))
           RETURN VALIDATION MESSAGE
         ENDIF

		     [grpt2] = pyin.xx.xx:Report.Type.Code
    -->
    <assert id="VR.ATO.GRPT.000001" diagnostics="DVR.ATO.GRPT.000001"
            test="not(
                        $grpt2
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            . != 'Lodgment Performance Report'
                            and
                            . != 'EFT Reconciliation Report'
                        ]                        
                    )"/>
    
    
  </rule>
  
</pattern>