<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:ReportingPartyABN.02.00="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" xmlns:SqNumDim.02.01="http://sbr.gov.au/dims/SqNumDim.02.01.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="ODRPT201408Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/><!--MODE: SCHEMATRON-FULL-PATH-2ATO-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" match="node() | @*" mode="schematron-get-full-path-2ato"><xsl:for-each select="ancestor-or-self::*"><xsl:if test="name(.) != 'documents' and name(.) != 'document'"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="facts" match="xbrli:xbrl/*[@contextRef and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),@contextRef)"/><xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/><xsl:key name="RPCLISEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPCLISEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPCLISEQ')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M43"/><xsl:apply-templates select="/" mode="M44"/><xsl:apply-templates select="/" mode="M45"/><xsl:apply-templates select="/" mode="M46"/><xsl:apply-templates select="/" mode="M47"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no"><xsl:element name="tns:MaximumSeverity.Code"><xsl:choose><xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></xsl:element><xsl:element name="tns:EventItems"><xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])"><xsl:element name="tns:EventItem"><xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element><xsl:element name="tns:Severity.Code">Information</xsl:element><xsl:element name="tns:Short.Description">Message accepted</xsl:element><xsl:element name="tns:Locations"><xsl:element name="tns:Location"><xsl:element name="tns:Location.Instance.Identifier"><xsl:value-of select="$document-id"/></xsl:element></xsl:element></xsl:element></xsl:element></xsl:if><xsl:copy-of copy-namespaces="no" select="$results"/></xsl:element></xsl:element></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the ODRPT services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context                                   [                                       not(@i:nil='true')                                        and                                        xbrli:entity/xbrli:segment                                       [                                           count(xbrldi:explicitMember) = 1                                            and                                           count(xbrldi:typedMember) = 0                                            and                                           xbrldi:explicitMember                                           [                                                matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                               ]                                       ]                                   ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RPCLISEQ.Context" select="xbrli:xbrl//xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 1                                                and                                               xbrldi:explicitMember                                               [                                                   matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                   and                                                    matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                       ]                                               and                                               xbrldi:explicitMember                                               [                                                   matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:SecondaryPartyTypeDimension$')                                                   and                                                    matches(.,'^RprtPyType\.\d{2}\.\d{2}:Client$')                                                       ]                                               and                                               xbrldi:typedMember                                               [                                                   matches(@dimension,'^SqNumDim\.\d{2}\.\d{2}:SequenceNumberDimension')                                                                        ]                                            ]                                       ]"/><xsl:variable name="RPCLISEQ.ContextId" select="$RPCLISEQ.Context/@id"/><xsl:variable name="odrpt2" select="key('RP_facts', 'OrganisationDetails.WholeOfPractice.IndicatorRP')"/><xsl:variable name="odrpt5" select="key('RP_facts', 'Report.Type.CodeRP')"/><xsl:variable name="odrpt3" select="key('RPCLISEQ_facts', 'Identifiers.AustralianBusinessNumber.IdentifierRPCLISEQ')"/><xsl:variable name="odrpt4" select="key('RPCLISEQ_facts', 'Identifiers.TaxFileNumber.IdentifierRPCLISEQ')"/><xsl:template match="text()" priority="-1" mode="M43"/><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="*" mode="M43"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the ODRPT services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $odrpt2[matches(.,'^(false|0)$')]                         and                         count($RPCLISEQ.Context) &gt; 1000                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The number of Reporting Party Client contexts cannot exceed 1000</tns:Short.Description><tns:Detailed.Description>When the Client lodgment report request type is set to false, the number of Reporting Party Client contexts cannot exceed 1000</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000001</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $odrpt2[matches(.,'^(true|1)$')]                         and                         count($RPCLISEQ.Context) != 0                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000002</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The number of Reporting Party Client contexts must equal zero</tns:Short.Description><tns:Detailed.Description>When the Client lodgment report request type is set to true, the number of Reporting Party Client contexts must equal zero</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000002</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $odrpt2[matches(.,'^(false|0)$')]                         and                         count($RPCLISEQ.Context) = 0                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000003</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The number of Reporting Party Client contexts must be at least 1</tns:Short.Description><tns:Detailed.Description>When the Client lodgment report request type is set to false, the number of Reporting Party Client contexts must be at least 1</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000003</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000209</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M44"><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/><xsl:variable name="ran" select="xbrli:entity/xbrli:identifier"/><xsl:variable name="thisReportItemOrderNumber" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPCLISEQ.ContextId                         and                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             SqNumDim.02.01:SequenceNumberContainer[. = $thisReportItemOrderNumber]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000006</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Sequence Container must not be duplicated</tns:Short.Description><tns:Detailed.Description>The Sequence Container within the Client Sequence Dimension context instance must not be duplicated</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000006</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RPCLISEQ.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/ran$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000007</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for Reporting Party Client must be "http://www.ato.gov.au/ran"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000007</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500030</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date must be the same across all duration contexts.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500030</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500033</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period end date must be the same across all duration contexts.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500033</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RP.ContextId                         and                         xbrli:period/xbrli:startDate != xbrli:period/xbrli:endDate                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500034</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date must be the same as the Period end date for this form.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500034</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RP.ContextId                         and                         function:IsDate1GreaterThanDate2(xbrli:period/xbrli:startDate, current-date())                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500035</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date cannot be any day in the future.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500035</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/ran$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500078</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/ran"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500078</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTAN(.))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500079</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Requestor Agent number has failed the Tax Agent number algorithm check</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500079</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:identifier[. != $ran]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500080</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Unexpected RAN mismatch with Reporting Party</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500080</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template><xsl:template match="text()" priority="-1" mode="M44"/><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="*" mode="M44"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->
<xsl:template match="text()" priority="-1" mode="M45"/><xsl:template match="@*|node()" priority="-2" mode="M45"><xsl:apply-templates select="*" mode="M45"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M46">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($odrpt5[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000008</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Report Type must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.02:Report.Type.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($odrpt2[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Client lodgment report request type must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000009</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.20:OrganisationDetails.WholeOfPractice.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M46"/></xsl:template><xsl:template match="text()" priority="-1" mode="M46"/><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="*" mode="M46"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M47">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $odrpt5[                                 not(@i:nil='true') and string-length(.) != 0                                 and                                 . != 'Income Tax Client Report'                                 and                                 . != 'Income Tax Client Report v2'                                 and                                 . != 'Activity Statement Client Report'                                 and                                 . != 'Activity Statement Lodgment Report'                                 and                                 . != 'Activity Statement Lodgment Report v2'                              ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000010</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Report Type is invalid</tns:Short.Description><tns:Detailed.Description>The Report Type is not valid. Valid Report Types are; "Income Tax Client Report", "Income Tax Client Report v2", "Activity Statement Client Report", "Activity Statement Lodgment Report" and "Activity Statement Lodgment Report v2".</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000010</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.02:Report.Type.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPCLISEQ.ContextId]" priority="1000" mode="M47"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $odrpt3[                                 not(@i:nil='true') and string-length(.) != 0                                 and                                 not(function:ValidateABN(.))                                  and                                 @contextRef = $thisContextId                              ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000004</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>ABN is invalid</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000004</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $odrpt4[                                 not(@i:nil='true') and string-length(.) != 0                                 and                                 not(function:ValidateTFN(.))                                  and                                 @contextRef = $thisContextId                              ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000005</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>TFN must be a valid TFN</tns:Short.Description><tns:Detailed.Description>The Tax File Number has failed the Tax File Number algorithm check.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000005</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $odrpt2[matches(.,'^(false|0)$')]                       and                       (                         (                           not($odrpt3[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                           and                            not($odrpt4[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])                         )                         or                         (                           $odrpt3[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                           and                            $odrpt4[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                         )                       )                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Either the Australian Business Number or Tax File Number must be populated, but not both</tns:Short.Description><tns:Detailed.Description>When the Client lodgment report request type is set to false, either the Australian Business Number or Tax File Number must be populated, but not both</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000011</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.20:OrganisationDetails.WholeOfPractice.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $odrpt2[matches(.,'^(true|1)$')]                       and                       (                           $odrpt3[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                           or                           $odrpt4[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]                       )                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000012</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Australian Business Number and Tax File Number cannot be populated</tns:Short.Description><tns:Detailed.Description>When the Client lodgment report request type is set to true, the Australian Business Number and Tax File Number must not be populated</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000012</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.20:OrganisationDetails.WholeOfPractice.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   $odrpt5[                     not(@i:nil='true') and string-length(.) != 0                     and                     . = 'Income Tax Client Report'                     or                     . = 'Activity Statement Lodgment Report'                   ]                   and                   function:IsDate1GreaterThanDate2(current-date(), '2024-12-01')                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.ODRPT.000013</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Report Type is invalid</tns:Short.Description><tns:Detailed.Description>When the date is later than the 1st of December 2024, Report Type must not be Income Tax Client Report or Activity Statement Lodgment Report</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.ODRPT.000013</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.02:Report.Type.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template><xsl:template match="text()" priority="-1" mode="M47"/><xsl:template match="@*|node()" priority="-2" mode="M47"><xsl:apply-templates select="*" mode="M47"/></xsl:template></xsl:stylesheet>