﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <!-- LOOP THROUGH REPORTING PARTY SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.MRPTS.000013
         ELS Ref: V35

		     IF ANY OCCURRENCE OF (([mrpts2] <> NULLORBLANK) AND ([mrpts2]  <> ("EFT Reconciliation Report")))
		       RETURN VALIDATION MESSAGE
		     ENDIF

		     [mrpts2] = pyin.xx.xx:Report.Type.Code
    -->
    <assert id="VR.ATO.MRPTS.000013" diagnostics="DVR.ATO.MRPTS.000013"
          test="not(
                      $mrpts2[
                                not(@i:nil='true') and string-length(.) != 0
                                and
                                . != 'EFT Reconciliation Report'
                                and
                                @contextRef = $thisContextId
                             ]
                     )"/>

  </rule>
    
</pattern>
